function returnCell = parseToCell( inputStr )

% Name: parseToCell.m
% Location: MALT/GUI/parseToCell.m
% Purpose:  Parses output of Gamut into a displayable cell array
% Input Parameters:  Single line sprintf format from Gamut
% Output Parameters: Cell array version of the Gamut error output

returnCell = {};
prev = 0;

for i=1:length( inputStr )
	if ( inputStr(i) == sprintf( '\n' ) )
		returnCell = {returnCell{1:end} [inputStr(prev+1:i)]};
		prev = i;
	end
end
