function display( agnt )

% Name: display.m
% Location: MALT/agentClasses/@agent/display.m
% Purpose: Displays an agent object
% Input Parameters:  agent object
% Output Parameters: none

[nAgents maxActions] = size( agnt.strategy );
agntDisp = sprintf( 'Date: %s\nAlgorithm: %s\nNumber of agent: %d\nNumber of actions: %d\nStrategy: %dx%d\nDisplay name: %s',...
						  agnt.date, agnt.algorithm, agnt.number, agnt.actions, nAgents, maxActions, agnt.displayName);
disp( agntDisp );
				


