function value = get( agnt, property )

% Name: get.m
% Location: MALT/agentClasses/@agent/get.m
% Purpose: Get agent properties from the specified object
% Input Parameters: 	agent object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'date'
	value = agnt.date;
case 'algorithm'
	value = agnt.algorithm;
case 'idnumber' 
	value = agnt.idNumber;
case 'number'
	value = agnt.number;
case 'actions'
	value = agnt.actions;
case 'strategy'
	value = agnt.strategy;
case 'displayname'
	value = agnt.displayName;
otherwise
	error( ['@agent/get.m: ', property,' is not a valid agent property'] );
end
