function fict_agnt = set( fict_agnt, varargin )

% Name: set.m
% Location: MALT/agentClasses/@fictitious_agent/set.m
% Purpose: Set fictitious_agent properties in the specified object
% Input Parameters:  fictitious_agent object
%                    name of property to change and new value
% Output Parameters: Updated fictitious_agent object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);

	switch lower( property )
	case 'count'
		fict_agnt.count = newValue;
	otherwise
		fict_agnt.agent = set( fict_agnt.agent, property, newValue );
	end
end


