function value = get( fict_agnt_da, property )

% Name: get.m
% Location: MALT/agentClasses/@fictitious_agent_da/get.m
% Purpose: Get fictitious_agent properties from the specified object
% Input Parameters:  fictitious_agent_da object
%                    name of property
% Output Parameters: Value of the property

switch lower( property )
case 'beliefupdaterate'
	value = fict_agnt_da.beliefUpdateRate;
case 'beliefdecayrate'
	value = fict_agnt_da.beliefDecayRate;
otherwise
	value = get( fict_agnt_da.fictitious_agent, property );
end
