function fict_agnt_da = set( fict_agnt_da, varargin )

% Name: set.m
% Location: MALT/agentClasses/@fictitious_agent_da/set.m
% Purpose: Set fictitious_agent_da properties in the specified object
% Input Parameters:  fictitious_agent_da object
%                    name of property to change and new value
% Output Parameters: Updated fictitious_agent_da object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);

	switch lower( property )
	case 'beliefupdaterate'
		fict_agnt_da.beliefUpdateRate = newValue;
	case 'beliefdecayrate'
		fict_agnt_da.beliefDecayRate = newValue;
	otherwise
		fict_agnt.fictitious_agent = set( fict_agnt_da.fictitious_agent, property, newValue );
	end
end


