function fict_agnt_da = subsasgn( fict_agnt_da, field, value )

% Name: subsasgn.m
% Location: MALT/agentClasses/@fictitious_agent_da/subsasgn.m
% Purpose: Define field name assignment for fictitious_agent_da objects
% Input Parameters:  fictitious_agent_da object 
%							field that is wanted, by name index
%							new value for the field
% Output Parameters: updated fictitious_agent_da object

switch field.type
case '()'
	error('@fictitious_agent_da/subsasgn.m: Numeric array indexing not supported by fictitious_agent_da objects');
case '.'
	switch lower( field.subs )
	case 'beliefupdaterate'
		fict_agnt_da.beliefUpdateRate = value;
	case 'beliefdecayrate'
		fict_agnt_dat.beliefDecayRate = value;
	otherwise
		fict_agnt_da.fictitious_agent = subsasgn( fict_agnt_da.fictitious_agent, field, value );
	end
case '{}'
	error('@fictitious_agent_sa/subsasgn.m: Cell array indexing not supported by fictitious_agent_sa objects');
end
