function giga_wolf = set( giga_wolf, varargin )

% Name: set.m
% Location MALT/agentClasses/@giga_wolf_agent/set.m
% Purpose: Set giga_wolf_agent properties in the specified object
% Input Parameters: giga_wolf_agent object
%						  name of property to change
%						  new value for property
% Output Parameters: Updated giga_wolf_agent object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);

	switch lower( property )
	case 'biga'
		giga_wolf.bigA = newValue;
	case 'z'
		giga_wolf.z = newValue;
	otherwise
		giga_wolf.gradient_agent = set( giga_wolf.gradient_agent, property, newValue );
	end
end
