function value = get( gradient_agnt, property )

% Name: get.m
% Location: MALT/agentClasses/@gradient_agent/get.m
% Purpose: Get gradient_agent properties from the specified object
% Input Parameters:  gradient_agent object
%                    name of property
% Output Parameters: Value of the property

switch lower( property )
case 'stepsize'
	value = gradient_agnt.stepSize;
case 'beliefupdaterate'
	value = gradient_agnt.beliefUpdateRate;
case 'beliefdecayrate'
	value = gradient_agnt.beliefDecayRate;
otherwise
	value = get( gradient_agnt.agent, property );
end
