function q_agnt_ret = updatestrategy( varargin )

% Name: updatestrategy.m
% Location: MALT/agentClasses/@q_agent/updatestrategy.m
% Purpose: Updates Q, V and the stategy for the Q-learning agent
% Input Parameters:	q_agent object
%							number of game being played
%							iteration
%							stage_cellList
% Output Parameters: updated q_agent object

q_agnt = varargin{1}; % Q-learning agent object
nGame = varargin{2}; % Number of the game being played
iteration = varargin{3}; % Current iteration being played
stage_cellList = varargin{4}; % Reward/action structure

q_agnt = update_q( q_agnt, stage_cellList ); % Update the Q function
q_agnt = update_pi( q_agnt ); % Update the strategy

q_agnt_ret = q_agnt; % Return the updated q_agent object

