function actionTaken = selectaction( random_agnt, varargin )

% Name: selectaction.m
% Location: MALT/agentClasses/@random_agent/selectaction.m
% Purpose: Selects an action from the random agent's distribution over actions
% Input Parameters: 	random agent object 
% Output Parameters: action taken by the random agent this round

% Get the agent's current strategy
actionDist = returnstrategy( random_agnt );

% Sample an action from that strategy
actionTaken = draw_sample( actionDist );

