function display( tb_data )

% Name: display.m
% Location: MALT/dataClasses/@track_belief_data/display.m
% Purpose: Displays a track_belief_data object
% Input Parameters: track_belief_data object
% Output Parameters: none

	display( tb_data.expected_value_data );

[tRow, tCol, tZ] = size( tb_data.trackBeliefs );
tb_dataDisp = sprintf( 'Belief tracking estimates: %d agents x %d actions x %d iterations\nBelief tracking actual: %d agents x %d actions x %d iterations\n', tRow, tCol, tZ, tRow, tCol, tZ );

disp( tb_dataDisp );
