function display( nfg_gm )

% Name: display.m
% Location: MALT/gameClasses/@nfg_game/display.m
% Purpose: Displays a normal form game object
% Input Parameters: normal form game object
% Output Parameters: none

display( nfg_gm.game );

[nAgnt, nActs, nEqa] = size( nfg_gm.eqa );
[gsRow, gsCol] = size( nfg_gm.guaranteed_strategies );
[gRow, gCol] = size( nfg_gm.guaranteed );

nfgDisp = [sprintf( 'Payoffs: %d\nEquilibria: %dx%dx%d\nGuaranteed values:%dx%d\nGuaranteed strategies: %dx%d\nRandom seed: %s\nGamut command: %s', length( nfg_gm.payoffs ), nAgnt, nActs, nEqa, gRow, gCol, gsRow, gsCol, num2str( nfg_gm.random_seed ), nfg_gm.gamutCommand )];

disp( nfgDisp );
