function value = get( nfg_gm, property )

% Name: get.m
% Location: MALT/gameClasses/@nfg_game/get.m
% Purpose: Get normal form game properties from the specified object
% Input Parameters: 	normal form game object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'payoffs'
	value = nfg_gm.payoffs;
case {'eqa', 'equilibria', 'equilibrium'}
	value = nfg_gm.eqa;
case 'guaranteed'
	value = nfg_gm.guaranteed;
case 'guaranteed_strategies'
	value = nfg_gm.guaranteed_strategies;
case 'random_seed'
	value = nfg_gm.random_seed;
case 'gamutcommand'
	value = nfg_gm.gamutCommand
otherwise
	value = get( nfg_gm.game, property );
end
