function payoff_matrix = return_payoff_matrix( nfg_gm, agntNumb )

% Name: return_payoff_matrix.m
% Location: MALT/gameClasses/@nfg_game/return_payoff_matrix.m
% Purpose: Returns the payoff matrix for a specific agent
% Input Parameters:  Normal form game object
%							Number of the agent
% Output Parameters: payoff matrix for that agent

% This is always created at the beginning of the game,
% so we do not need to check for its creation
allPays = get( nfg_gm, 'payoffs' );

payoff_matrix = allPays{agntNumb};
