function value = get( nfg_gm_idr, property )

% Name: get.m
% Location: MALT/gameClasses/@nfg_game_idr/get.m
% Purpose: Get normal form game )with IDR) properties from the specified object
% Input Parameters: 	normal form game (with IDR) object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'guaranteed_idr'
	value = nfg_gm_idr.guaranteed_idr;
case 'guaranteed_idr_strategies'
	value = nfg_gm_idr.guaranteed_idr_strategies;
case 'undominated_actions'
	value = nfg_gm_idr.undominated_actions;
case 'payoffs_idr'
	value = nfg_gm_idr.payoffs_idr;
case 'undominated_strategies'
	value = nfg_gm_idr.undominated_strategies;
otherwise
	value = get( nfg_gm_idr.nfg_game, property );
end
