function pureStrat = generate_pure( whichAction, maxActions )

% Name: generate_pure.m
% Location MALT/general/generate_pure.m
% Purpose: Creates a pure strategy where one action is played
% Input Parameters:  The action number
%                    Maximum number of actions for both agents
% Output Parameters: The pure strategy for that action

% Generate a matrix of size actions x actions
% Each line represents a pure strategy of an action
tEye = eye( maxActions );
pureStrat = tEye( whichAction, : );
