function value = get( param, property )

% Name: display.m
% Location: MALT/parameterClasses/@parameter/get.m
% Purpose:	Get parameter properties from the specified object
% Input Parameters:	parameter object
%				name of property
% Output Parameters:	Value of the property

switch lower( property )
case 'gamutcommand'
	value = param.gamutCommand;
case 'algmlist'
	value = param.algmList;
case 'settle'
	value = param.settle;
case 'totaliterations'
	value = param.totalIterations;
case 'runs'
	value = param.runs;
case 'sessiontype'
	value = param.sessionType;
case 'metricnames'
	value = param.metricNames;
otherwise
	error( ['@parameter/get.m: ', property,' is not a valid parameter property'] );
end
