function value = get( stat_met, property )

% Name: get.m
% Location: MALT/statisticsClasses/@metric_statistics/get.m
% Purpose: Get metric_statistics properties from the specified object
% Input Parameters: 	metric_statistics object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'name'
	value = stat_met.name;
case 'labels'
	value = stat_met.labels;
case 'properties'
	value = stat_met.properties;
case 'algorithms'
	value = stat_met.algorithms;
case 'results'
	value = stat_met.results;
case 'comments'
	value = stat_met.comments;
otherwise
	error( ['@metric_statistics/get.m: ', property,' is not a valid metric_statistics property'] );
end
