function value = get( stat, property )

% Name: get.m
% Location: MALT/statisticsClasses/@statistics/get.m
% Purpose: Get statistics properties from the specified object
% Input Parameters:  statistics object
%                    name of property
% Output Parameters: Value of the property

switch lower( property )
case {'metric_stats', 'metric_statistics'}
	value = stat.metric_stats;
otherwise
	error( ['@statistics/get.m: ', property,' is not a valid statistics property'] );
end
