function bar_vsl = set( bar_vsl, varargin )

% Name: set.m
% Location: MALT/visualClasses/@bar_visual/set.m
% Purpose: Set bar_visual properties in the specified object
% Input Parameters: 	bar_visual object 
%							name of property to change and new value
% Output Parameters: Updated bar_visual object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);

	bar_vsl.visual = set( bar_vsl.visual, property, newValue );
end
