function bar_vsl = subsasgn( bar_vsl, field, value )

% Name: subsasgn.m
% Location: MALT/visualClasses/@bar_visual/subsasgn.m
% Purpose: Define field name assignment for bar_visual objects
% Input Parameters:  bar_visual object 
%							field that is wanted, by name index
%							new value for the field
% Output Parameters: updated bar_visual object

bar_vsl.visual = subsasgn( bar_vsl.visual, field, value );

% bar_visual does not add any extra parameters to the visual class and hence does not need to update any of its own fields
