function value = subsref( bar_vsl, field )

% Name: subsref.m
% Location: MALT/visualClasses/@bar_visual/subsref.m
% Purpose: Define field name indexing for bar_visual objects
% Input Parameters:  bar_visual object
%							field that is wanted, by name index
% Output Parameters: value of the field

value = subsref( bar_vsl.visual, field );

% The bar_visual class does not add any extra parameters to the visual class and hence does not need to determine the value of any of its own parameters. 
% The value of all of the parameters is obtained by running the corresponding @value method.

