function bxVsl = subsasgn( bxVsl, field, value )

% Name: subsasgn.m
% Location: MALT/visualClasses/@boxplot_visual/subsasgn.m
% Purpose: Define field name assignment for boxplot_visual objects
% Input Parameters:  boxplot_visual object 
%							field that is wanted, by name index
%							new value for the field
% Output Parameters: updated barplot_visual object

bxVsl.visual = subsasgn( bxVsl.visual, field, value );

% boxplot_visual does not add any extra parameters to the visual class and hence does not need to update any of its own fields
