function plot_vsl = set( plot_vsl, varargin )

% Name: set.m
% Location: MALT/agentClasses/@plot_visual/set.m
% Purpose: Set plot_visual properties in the specified object
% Input Parameters: 	plot_visual object 
%							name of property to change and new value
% Output Parameters: Updated plot_visual object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);
	plot_vsl.visual = set( plot_vsl.visual, property, newValue );
end
