function st3Vsl = subsasgn( st3Vsl, field, value )

% Name: subsasgn.m
% Location: MALT/visualClasses/@scatter3_visual/subsasgn.m
% Purpose: Define field name assignment for scatter3_visual objects
% Input Parameters:  scatter3_visual object 
%							field that is wanted, by name index
%							new value for the field
% Output Parameters: updated scatter3_visual object

st3Vsl.visual = subsasgn( st3Vsl.visual, field, value );

% scatter3_visual does not add any extra parameters to the visual class and hence does not need to update any of its own fields
