function value = subsref( st3Vsl, field )

% Name: subsref.m
% Location: MALT/visualClasses/@scatter3_visual/subsref.m
% Purpose: Define field name indexing for scatter3_visual objects
% Input Parameters:  scatter3_visual object
%                    field that is wanted, by name index
% Output Parameters: value of the field

value = subsref( st3Vsl.visual, field );

% The scatter3_visual class does not add any extra parameters to the visual class and hence does not need to determine the value of any of its own parameters. 
% The value of all of the parameters is obtained by running the corresponding @value method.

