function stVsl = set( stVsl, varargin )

% Name: set.m
% Location: MALT/sualClasses/@scatter_visual/set.m
% Purpose: Set scatter_visual properties in the specified object
% Input Parameters: 	scatter_visual object 
%							name of property to change and new value
% Output Parameters: Updated scatter_visual object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);
	stVsl.visual = set( stVsl.visual, property, newValue );
end
