function stVsl = subsasgn( stVsl, field, value )

% Name: subsasgn.m
% Location: MALT/visualClasses/@scatter_visual/subsasgn.m
% Purpose: Define field name assignment for scatter_visual objects
% Input Parameters:  scatter_visual object 
%							field that is wanted, by name index
%							new value for the field
% Output Parameters: updated scatter_visual object

stVsl.visual = subsasgn( stVsl.visual, field, value );

% scatter_visual does not add any extra parameters to the visual class and hence does not need to update any of its own fields
