function agentObj = createParamObj( varargin )

% Name: createAgentObj.m
% Location: MALT/GUI/createAgentObj.m
% Purpose:  Creates an agent object from a structure detailing an agent
% Input Parameters:  agent structure
% Output Parameters: an agent object

agentStruct = varargin{1}; % Take the handles of the GUI
% Create a handle to the agent's constructor method
agentHandle = str2func( agentStruct.algorithm );

% Run the handle, which in this case does the instantiation
% of the parameter object
agentObj = feval( agentHandle, agentStruct );
