function opp_strategy = return_tracked_strategy( agnt )

% Name: return_tracked_strategy.m
% Location: MALT/agentClasses/@agent/return_tracked_strategy.m
% Purpose: Get the agents opponent's strategy
% Input Parameters: 	agent object
% Output Parameters: agents opponent's strategy - distribution of its actions

if ( agnt.number == 1 )
	opp_strategy = agnt.strategy( 2, : );
else
	opp_strategy = agnt.strategy( 1, : );
end

