function agnt_strategy = returnstrategy( agnt )

% Name: returnstrategy.m
% Location: MALT/agentClasses/@agent/returnstrategy.m
% Purpose: Get the agent's own strategy (excluding the beliefs over the opponents)
% Input Parameters: 	agent object
% Output Parameters: agent's own strategy - distribution of its actions

agntStratAll = get( agnt, 'strategy' );
agnt_strategy = agntStratAll( get( agnt, 'number' ), : );

