function actionTaken = selectaction( determined_agnt, varargin )

% Name: selectaction.m
% Location: MALT/agentClasses/@determined_agent/selectaction.m
% Purpose: Selects an action from the determined agent's distribution over actions
% Input Parameters:  determined agent object
% Output Parameters: action taken by the determined agent this round

agntStrategy = get( determined_agnt, 'strategy' );
agntNumb = get( determined_agnt, 'number' );

% Get the agent's strategy
actionDist = agntStrategy( agntNumb, : );
% Sample an action from that strategy
actionTaken = draw_sample( actionDist );

