function value = get( fict_agnt, property )

% Name: get.m
% Location: MALT/agentClasses/@fictitious_agent/get.m
% Purpose: Get fictitious_agent properties from the specified agent object
% Input Parameters:  fictitious_agent object
%                    name of property
% Output Parameters: Value of the property

switch lower( property )
case 'count'
	value = fict_agnt.count;
otherwise
	value = get( fict_agnt.agent, property );
end
