function actionTaken = selectaction( gradient_agnt, varargin )

% Name: selectaction.m
% Location: MALT/agentClasses/@gradient_agent/selectaction.m
% Purpose:  Selects an action from the gradient agent's distribution over actions
% Input Parameters:  gradient_agent object
% Output Parameters: action taken by the gradient_agent this round

% Take the agent's strategy
actionDist = returnstrategy( gradient_agnt );

% Sample an action off of that distribution
actionTaken = draw_sample( actionDist );
