function gsa_agnt = set( gsa_agnt, varargin )

% Name: set.m
% Location MALT/agentClasses/@gsa_agent/set.m
% Purpose: Set gsa_agent properties in the specified object
% Input Parameters: gsa_agent object
%                   name of property to change
%                   new value for property
% Output Parameters: Updated gsa_agent object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
   property = propertyArgIn{1};
   newValue = propertyArgIn{2};
   propertyArgIn = propertyArgIn(3:end);

   switch lower( property )
	case 'biga'
		gsa_agnt.bigA = newValue;
	otherwise
		gsa_agnt.gradient_agent = set( gsa_agnt.gradient_agent, property, newValue );
	end
end
