function mm_agent= set( mm_agent, varargin )

% Name: set.m
% Location: MALT/agentClasses/@minimax_agent/set.m
% Purpose: Set mm_agent properties in the specified object
% Input Parameters:	minimax_agent object
%							name of property to change and new value
% Output Parameters: Updated minimax_agent object

propertyArgIn = varargin;

while (length( propertyArgIn ) >= 2),
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);
	switch lower( property )
	case 'oppactions'
		mm_agent.oppActions = newValue;
	otherwise
		mm_agent.q_agent = set( mm_agent.q_agent, property, newValue );	
	end
end
