function mm_agnt_ret = updatestrategy( varargin )

% Name: updatestrategy.m
% Location: MALT/agentClasses/@minimax_agent/updatestrategy.m
% Purpose: Updates Q, V and the stategy for the minimax-Q agent
% Input Parameters: minimax_agent object
%                   name of game being played
%                   iteration
%                   stage_cellList
% Output Parameters: updated minimax_agent object

global SessionObjet;

mm_agnt = varargin{1}; % Agent object
nGame = varargin{2}; % Number of game
iteration = varargin{3}; % Number of the iteration being played
stage_cellList = varargin{4};

mm_agnt = update_q( mm_agnt, stage_cellList ); % Update Q matrix
mm_agnt = update_pi( mm_agnt, nGame ); % Update strategy

mm_agnt_ret = mm_agnt;
