function mm_idr_agnt= set( mm_idr_agnt, varargin )

% Name: set.m
% Location: MALT/agentClasses/@minimax_idr_agent/set.m
% Purpose: Set mm_idr_agent properties in the specified object
% Input Parameters:	minimax_idr_agent object
%							name of property to change and new value
% Output Parameters: Updated minimax_idr_agent object

propertyArgIn = varargin;

while (length( propertyArgIn ) >= 2),
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);
	switch lower( property )
	case 'allowedactions'
		mm_idr_agnt.allowedActions = newValue;
	otherwise
		mm_idr_agnt.minimax_agent = set( mm_idr_agnt.minimax_agent, property, newValue );	
	end
end
