function actionTaken = selectaction( pareto_agnt, varargin )

% Name: selectaction.m
% Location: MALT/agentClasses/@pareto_agent/selectaction.m
% Purpose: Selects an action from the pareto agent's strategy
% Input Parameters:  pareto agent object
% Output Parameters: action taken by the pareto agent this round

agntStrategy = get( pareto_agnt, 'strategy' );
agntNumb = get( pareto_agnt, 'number' );

actionDist = agntStrategy( agntNumb, : );

actionTaken = draw_sample( actionDist );

