function display( q_agnt )

% Name: display.m
% Location: MALT/agentClasses/@q_agent/display.m
% Purpose: Displays a q_agent object
% Input Parameters:  q_agent object
% Output Parameters: none

display( q_agnt.agent );

[a o] = size( q_agnt.Q );

q_agntDisp = sprintf( 'Exploration rate: %g\nExploration decay: %g\nAlpha: %g\nAlpha decay: %g\nGamma: %g\nQ matrix: %dx%d \nValue: %g ', ...
				q_agnt.explore, q_agnt.exploreDecay, q_agnt.alpha, q_agnt.alphaDecay, q_agnt.gamma, a, o, q_agnt.V );

disp( q_agntDisp );


