function value = get( q_agnt, property )

% Name: get.m
% Location: MALT/agentClasses/@q_agent/get.m
% Purpose: Get q_agent properties from the specified object
% Input Parameters:	q_agent object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'explore'
	value = q_agnt.explore;
case 'exploredecay'
	value = q_agnt.exploreDecay;
case 'alpha'
	value = q_agnt.alpha;
case 'alphadecay'
	value = q_agnt.alphaDecay;
case 'gamma'
	value = q_agnt.gamma;
case 'q'
	value = q_agnt.Q;
case {'v', 'value'}
	value = q_agnt.V;
otherwise
	value = get( q_agnt.agent, property );
end
