function san_agnt = set( san_agnt, varargin )

% Name: set.m
% Location MALT/agentClasses/@san_agent/set.m
% Purpose: Set san_agent properties in the specified object
% Input Parameters: san_agent object
%                   name of property to change
%                   new value for property
% Output Parameters: Updated san_agent object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
   property = propertyArgIn{1};
   newValue = propertyArgIn{2};
   propertyArgIn = propertyArgIn(3:end);

   switch lower( property )
	case 'beliefupdaterate'
		san_agnt.beliefUpdateRate = newValue;
	case 'beliefdecayrate'
		san_agnt.beliefDecayRate = newValue;
   case 'budget'
		san_agnt.budget = newValue;
	otherwise
		san_agnt.agent = set( san_agnt.agent, property, newValue );
   end
end
