function value = get( wolf_agnt, property )

% Name: get.m
% Location: MALT/agentClasses/@wolf_agent/get.m
% Purpose: Get wolf_agent properties from the specified object
% Input Parameters: wolf_agent object
%						  name of property
% Output Parameters: Value of the property

switch lower( property )
case 'slow'
	value = wolf_agnt.slow;
case 'fast'
	value = wolf_agnt.fast;
case 'decay'
	value = wolf_agnt.decay;
otherwise
	value = get( wolf_agnt.gradient_agent, property );
end
