function value = get( ev_dt, property )

% Name: get.m
% Location: MALT/dataClasses/@expected_value_data/get.m
% Purpose: Get expected_value_data properties from the specified object
% Input Parameters: expected_value_data object
%			  name of property
% Output Parameters: Value of the property

switch lower( property )
case 'expectedvalue'
	value = ev_dt.expectedValue;
otherwise
	value = get( ev_dt.snapshot_data, property );
end
