function sd_dt = set( sd_dt, varargin )

% Name: set.m
% Location: MALT/dataClasses/@snapshot_data/set.m
% Purpose: Set snapshot_data properties in the specified object
% Input Parameters:	snapshot_data object 
%			  				name of property to change and new value
% Output Parameters: Updated snapshot_data object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};

	propertyArgIn = propertyArgIn(3:end);
	switch lower( property )
	otherwise
		sd_dt.series_data = set( sd_dt.series_data, property, newValue );
	end
end
