function value = get( tb_data, property )

% Name: get.m
% Location: MALT/dataClasses/@track_belief_data/get.m
% Purpose: Get track_belief_data properties from the specified object
% Input Parameters: 	track_belief_data object
%			name of property
% Output Parameters: 	value of the property

switch lower( property )
case 'trackbeliefs'
	value = tb_data.trackBeliefs;
case 'actualstrats'
	value = tb_data.actualStrats;
otherwise
	value = get( tb_data.expected_value_data, property );
end
