function value = get( gm, property )

% Name: get.m
% Location: MALT/gameClasses/@game/get.m
% Purpose: Get game properties from the specified object
% Input Parameters: 	game object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'name'
	value = gm.name;
case {'nagents', 'numberagents'}
	value = gm.nAgents;
case 'totalactions'
	value = gm.totalActions;
case 'filename'
	value = gm.fileName;
otherwise
	error( ['@game/get.m: ', property,' is not a valid game property'] );
end
