function display( nfg_gm_idr )

% Name: display.m
% Location: MALT/gameClasses/@nfg_game_idr/display.m
% Purpose: Displays a normal form game (with IDR properties) object
% Input Parameters: normal form game (with IDR properties) object
% Output Parameters: none

display( nfg_gm_idr.nfg_game );

[nAgts, nActs] = size( nfg_gm_idr.undominated_actions );
[a1Acts, a2Acts] = size( nfg_gm_idr.payoffs_idr );

nfg_idr_Disp = [sprintf( 'Guaranteed IDR value: ' ) num2str( nfg_gm_idr.guaranteed_idr ) sprintf( '\nUndominated actions: %dx%d\nPayoffs after IDR: %dx%d', nAgts, nActs, a1Acts, a2Acts )];

disp( nfg_idr_Disp );
