function drawn = draw_sample( distribution )

% Name: draw_sample.m
% Location MALT/general/draw_sample.m
% Purpose: Draws a sample from a distribution
% Input Parameters:	a probability distribution
% Output Parameters: sample drawn from the distribution

drawn = length(find(cumsum( distribution ) < rand)) + 1; % Code provided by Nando de Freitas

