function loaded_object = load_data( fileName )

% Name: load_data.m
% Location: MALT/dataClasses/@data/load_data.m
% Purpose: Load the averaged or big cell of data
% Input Parameters: Load the averaged or big cell data object, based on the file name
% Output Parameters: the loaded object

tLoad = load( fileName );

% Check that the loaded object contains a data object
if ( ~isa( tLoad.dt_obj, 'data' ) )
	loaded_object = -1;
else
	loaded_object = tLoad.dt_obj;
end
