function value = get( met, property )

% Name: get.m
% Location: MALT/metricClasses/@metric/get.m
% Purpose: Get metric properties from the specified object
% Input Parameters: 	metric object
%							name of property
% Output Parameters: Value of the property

switch lower( property )
case 'name'
	value = met.name;
case 'displayname'
	value = met.displayName;
case 'needed_data'
	value = met.needed_data;
case 'labels'
	value = met.labels;
case 'properties'
	value = met.properties;
case 'frequency'
	value = met.frequency;
otherwise
	error( ['@metric/get.m: ', property,' is not a valid metric property'] );
end
