function resultsData = get_results_from_metric_stat( met_stat, position )

% Name: get_results_from_metric_stat.m
% Location: MALT/statisticsClasses/@metric_statistics/get_results_from_metric_stat.m
% Purpose: Obtains the results from a specific position stored in a metric statistics object
% Input Parameters:  metric_statistics object
%                    positon wanted
% Output Parameters: the data from that position

% Take the results field from the object
allResults = get( met_stat, 'results' );
% Return a specific position
resultsData = allResults( position, :);
