function display( stat )

% Name: display.m
% Location: MALT/statisticsClasses/@statistics/display.m
% Purpose: Displays a statistics object
% Input Parameters:  statistics object
% Output Parameters: none

% Get the size of the metric_statistics cell array
[nRows, nCols] = size( get( stat, 'metric_stats' ) );

statDisp = sprintf( 'Metric stats: %dx%d stored', nRows, nCols );

disp( statDisp );
