function title = create_title( barVsl, metricObj, aggMethod, xName, legName, changeUp )

% Name: create_title.m
% Location: MALT/visualClasses/@bar_visual/create_title.m
% Purpose: Creates a title for the bar graph
% THIS IS STILL VERY BETA
% Input Parameters:  X Parameters - Visual object (bar_visual)
%                                   Metric object
%                                   Aggregation method
%                                   Name of variables along xName
%                                   Name of variables in legend
%                                   Changeup variable
% Output Parameters: Title for the graph


agnt = 0;
other = 0;
% Determine if the graph legend consists of agents
if ( isequal( lower( legName ), 'agent' ) || isequal( lower( legName ), 'row agent' ) || isequal( lower( legName ), 'column agent' ) )
	whoItIs1 = [' by ' legName];
	agnt = 1;
% or games
elseif ( isequal( legName , 'games' ) )
	whoItIs1 = [' in ' legName];
else
	whoItIs1 = [' during ' legName];
	other = 1;
end
% Then to add the end bit which is either the x-axis or the legend
if ( changeUp )
	whoItIs1 = [whoItIs1 ' along x-axis'];
else
	whoItIs1 = [whoItIs1 ' of legend' ];
end

% Then the second part of the title
% Check if agents
if ( isequal( lower( xName ), 'agent' ) || isequal( lower( xName ), 'row agent' ) || isequal( lower( xName ), 'column agent' ) )
	if agnt
		whoItIs2 = [' against ' xName ];
	else
		whoItIs2 = [' by ' xName ];
	end
% or games
elseif ( isequal( xName, 'games' ) )
	if ( other )
		whoItIs2 = [' and ' xName ];
	else
		whoItIs2 = [' during ' xName ];
	end
% or something else
else
	whoItIs2 = [ ' during ' xName ];
end

% Add them all together to form a title
title = [ aggMethod ' ' get( metricObj, 'displayName' ) whoItIs1 whoItIs2];
