function bxVsl = set( bxVsl, varargin )

% Name: set.m
% Location: MALT/visualClasses/@boxplot_visual/set.m
% Purpose: Set boxplot_visual properties in the specified object
% Input Parameters: 	boxplot_visual object 
%							name of property to change and new value
% Output Parameters: Updated boxplot_visual object

propertyArgIn = varargin;

while length( propertyArgIn ) >= 2,
	property = propertyArgIn{1};
	newValue = propertyArgIn{2};
	propertyArgIn = propertyArgIn(3:end);

	bxVsl.visual = set( bxVsl.visual, property, newValue );
end
