function value = get( htVsl, property )

% Name: get.m
% Location: MALT/visualClasses/@heat_visual/get.m
% Purpose: Get heat_visual properties from the specified object
% Input Parameters:  heat_visual object
%                    name of property
% Output Parameters: Value of the property

switch lower( property )
case 'heatmap'
	value = htVsl.heatMap;
otherwise
	value = get( htVsl.visual, property );
end
