function plot_vsl = subsasgn( plot_vsl, field, value )

% Name: subsasgn.m
% Location: MALT/visualClasses/@plot_visual//subsasgn.m
% Purpose: Define field name assignment for plot_visual objects
% Input Parameters:  plot_visual object 
%							field that is wanted, by name index
%							new value for the field
% Output Parameters: updated plot_visual object

plot_vsl.visual = subsasgn( plot_vsl.visual, field, value );

% plot_visual does not add any extra parameters to the visual class and hence does not need to update any of its own fields
