function value = subsref( plot_vsl, field )

% Name: subsref.m
% Location: MALT/visualClasses/@plot_visual/subsref.m
% Purpose: Define field name indexing for plot_visual objects
% Input Parameters:  plot_visual object
%							field that is wanted, by name index
% Output Parameters: value of the field

value = subsref( plot_vsl.visual, field );

% The plot_visual class does not add any extra parameters to the visual class and hence does not need to determine the value of any of its own parameters. 
% The value of all of the parameters is obtained by running the corresponding @value method.

